[package]
name = "branch_hv"
version = "0.1.0"
authors = ["Leo Springsfeld <leo.springsfeld@rwth-aachen.de>", "Jonathan Klimt <jonathan.klimt@eonerc.rwth-aachen.de>"]
edition = "2021"
readme = "../README.md"
repository.workspace = true
license.workspace = true
homepage.workspace = true

[dependencies]
constcat.workspace = true
legos = { path = "../legos" }
esp-hal.workspace = true
esp-hal-embassy.workspace = true
esp-println.workspace = true
log.workspace = true
heapless.workspace = true
embassy-executor.workspace = true
embassy-futures.workspace = true
embassy-sync.workspace = true
embassy-time.workspace = true
embassy-net.workspace = true
static_cell.workspace = true
embedded-hal-async.workspace = true
embassy-embedded-hal.workspace = true
embedded-hal = "1.0.0"
static-toml.workspace = true
serde.workspace = true
serde-json-core.workspace = true
num-traits = { version = "0.2.19", default-features = false }
xtensa-lx-rt.workspace = true
